Opened 2 months ago

Last modified 10 days ago

#57211 assigned defect

liblas failed with Mojave

Reported by: stanimura Owned by:
Priority: Normal Milestone:
Component: ports Version: 2.5.3
Keywords: mojave Cc: MarcusCalhoun-Lopez (Marcus Calhoun-Lopez)
Port: liblas

Description

liblas can not be compiled with Mojave.

$ port installed gcc7 cmake
The following ports are currently installed:
  cmake @3.12.2_0 (active)
  gcc7 @7.3.0_3 (active)

Attachments (2)

main.log (119.0 KB) - added by stanimura 2 months ago.
liblas.Portfile (1.9 KB) - added by stanimura 2 months ago.

Download all attachments as: .zip

Change History (16)

Changed 2 months ago by stanimura

Attachment: main.log added

comment:1 Changed 2 months ago by mf2k (Frank Schima)

Keywords: mojave added; Mojave removed
Owner: set to venabled@…
Status: newassigned

comment:2 Changed 2 months ago by bjornpiltz

The description is misleading since gcc7 and cmake have nothing to do with liblas, but he problem exists. You can find this in the log:

info:build In file included from /opt/local/include/ogr_srs_api.h:35:
:info:build In file included from /opt/local/include/ogr_core.h:34:
:info:build /opt/local/include/cpl_port.h:187:6: error: Must have C++11 or newer.

comment:3 Changed 2 months ago by Malauch

I confirm that liblas can't be installed on Mojave. Below last few lines of my logfile.

:info:build make[2]: Leaving directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1'
:info:build make[1]: *** [src/CMakeFiles/las.dir/all] Error 2
:info:build make[1]: Leaving directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1'
:info:build make: *** [all] Error 2
:info:build make: Leaving directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1'
:info:build Command failed:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1" && /usr/bin/make -j8 -w all VERBOSE=ON 
:info:build Exit code: 2
:error:build Failed to build liblas: command execution failed
:debug:build Error code: CHILDSTATUS 6355 2
:debug:build Backtrace: command execution failed
:debug:build     while executing
:debug:build "system {*}$notty {*}$nice $fullcmdstring"
:debug:build     invoked from within
:debug:build "command_exec build"
:debug:build     (procedure "portbuild::build_main" line 8)
:debug:build     invoked from within
:debug:build "$procedure $targetname"
:error:build See /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_gis_liblas/liblas/main.log for details.

comment:4 Changed 2 months ago by stanimura

It should be noted that libLAS can be build from libLAS-1.8.1-src.tar.bz2 with following steps in https://liblas.org/compilation.html when compiling outside of Macports. The steps are followed:

$ cd liblas
$ mkdir makefiles
$ cd makefiles
$ cmake -G "Unix Makefiles" ../

I wonder if simply reproducing these steps in Portfile may help.

comment:5 Changed 2 months ago by stanimura

Personally I solved this issue by editing Portfile of liblas as followd:

$ diff -u /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/gis/liblas/Portfile liblas.Profile
--- /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/gis/liblas/Portfile	2018-02-17 00:25:28.000000000 +0900
+++ liblas.Profile	2018-10-11 19:41:03.000000000 +0900
@@ -37,8 +37,12 @@
                     port:gdal \
                     port:libgeotiff

-post-destroot {
-    exec install_name_tool -id ${prefix}/lib/liblas.2.4.0.dylib ${destroot}${prefix}/lib/liblas.2.4.0.dylib
-    exec install_name_tool -id ${prefix}/lib/liblas_c.2.4.0.dylib ${destroot}${prefix}/lib/liblas_c.2.4.0.dylib
-    exec install_name_tool -change "@rpath/liblas.3.dylib" ${prefix}/lib/liblas.3.dylib ${destroot}${prefix}/lib/liblas_c.2.4.0.dylib
-}
+configure.dir           /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/makefiles
+configure.cmd cmake
+configure.args {-G "Unix Makefiles" ../ }
+
+#post-destroot {
+#    exec install_name_tool -id ${prefix}/bin/Release/liblas.2.4.0.dylib ${destroot}${prefix}/lib/liblas.2.4.0.dylib
+#    exec install_name_tool -id ${prefix}/bin/Release/liblas_c.2.4.0.dylib ${destroot}${prefix}/lib/liblas_c.2.4.0.dylib
+#    exec install_name_tool -change "@rpath/liblas.3.dylib" ${prefix}/lib/liblas.3.dylib ${destroot}${prefix}/lib/liblas_c.2.4.0.dylib
+#}

Since configure.dir is hardcoding, it may not work elsewhere.

comment:6 Changed 2 months ago by MarcusCalhoun-Lopez (Marcus Calhoun-Lopez)

Cc: MarcusCalhoun-Lopez added

comment:7 Changed 2 months ago by Malauch

Stanimura, I tried your method but it doesn't work for me. I use all default locations so the hardcoded path shouldn't be a problem.

I got error like that:

--->  Configuring liblas
Error: Failed to configure liblas: can't create directory "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas": permission denied
Error: See /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_gis_liblas/liblas/main.log for details.
Error: Follow https://guide.macports.org/#project.tickets to report a bug.
Error: Processing of port liblas failed

Can you paste here whole edited port file?

Changed 2 months ago by stanimura

Attachment: liblas.Portfile added

comment:8 Changed 2 months ago by stanimura

Malauch, here it is. As in liblas.Portfile, the revision dose not increase because of only for personal use.

comment:9 Changed 8 weeks ago by Veence (Vincent)

Resolution: fixed
Status: assignedclosed

Problem is simply the lack of the -std=c++11 flag during compilation. I've committed a patch to the Portfile. Also the patch file seemed to be wrong, so I've corrected it. It now compiles fine again.

comment:10 Changed 8 weeks ago by sgrewe (Stefan Grewe)

Still does not compile for me

version:1
:debug:sysinfo macOS 10.14 (darwin/18.0.0) arch i386
:debug:sysinfo MacPorts 2.5.4
:debug:sysinfo Xcode 10.0
:debug:sysinfo SDK 10.14
:debug:sysinfo MACOSX_DEPLOYMENT_TARGET: 10.14
:debug:main epoch: in tree: 0 installed: 0
:debug:main lbzip2 2.5_0 exists in the ports tree
:debug:main lbzip2 2.5_0  is the latest installed
:debug:main lbzip2 2.5_0  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/archivers/lbzip2
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main adding the default universal variant
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! lbzip2 2.5_0 >= lbzip2 2.5_0
:debug:main epoch: in tree: 0 installed: 0
:debug:main cmake 3.12.3_0 exists in the ports tree
:debug:main cmake 3.12.3_0  is the latest installed
:debug:main cmake 3.12.3_0  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/devel/cmake
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Sourcing PortGroup muniversal 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/muniversal-1.0.tcl
:debug:main Sourcing PortGroup compiler_blacklist_versions 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/compiler_blacklist_versions-1.0.tcl
:debug:main compiler clang 1000.11.45.2 not blacklisted because it doesn't match {clang < 500}
:debug:main Sourcing PortGroup cxx11 1.1 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/cxx11-1.1.tcl
:debug:main universal variant already exists, so not adding the default one
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! cmake 3.12.3_0 >= cmake 3.12.3_0
:debug:main epoch: in tree: 1 installed: 1
:debug:main libcxx 5.0.1_2 exists in the ports tree
:debug:main libcxx 5.0.1_2  is the latest installed
:debug:main libcxx 5.0.1_2  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/lang/libcxx
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main Sourcing PortGroup compiler_blacklist_versions 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/compiler_blacklist_versions-1.0.tcl
:debug:main universal_variant is false, so not adding the default universal variant
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! libcxx 5.0.1_2 >= libcxx 5.0.1_2
:debug:main epoch: in tree: 0 installed: 0
:debug:main curl 7.61.1_0 exists in the ports tree
:debug:main curl 7.61.1_0 +ssl is the latest installed
:debug:main curl 7.61.1_0 +ssl is active
:debug:main Merging existing variants '+ssl' into variants
:debug:main new fully merged portvariants: ssl +
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/net/curl
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Sourcing PortGroup muniversal 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/muniversal-1.0.tcl
:debug:main universal variant already exists, so not adding the default one
:debug:main Executing variant ssl provides ssl
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! curl 7.61.1_0 >= curl 7.61.1_0
:debug:main epoch: in tree: 0 installed: 0
:debug:main libidn2 2.0.5_0 exists in the ports tree
:debug:main libidn2 2.0.5_0  is the latest installed
:debug:main libidn2 2.0.5_0  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/mail/libidn2
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main adding the default universal variant
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! libidn2 2.0.5_0 >= libidn2 2.0.5_0
:debug:main epoch: in tree: 2 installed: 2
:debug:main gettext 0.19.8.1_0 exists in the ports tree
:debug:main gettext 0.19.8.1_0  is the latest installed
:debug:main gettext 0.19.8.1_0  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/devel/gettext
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main Sourcing PortGroup compiler_blacklist_versions 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/compiler_blacklist_versions-1.0.tcl
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Sourcing PortGroup muniversal 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/muniversal-1.0.tcl
:debug:main compiler clang 1000.11.45.2 not blacklisted because it doesn't match {clang < 211.10.1}
:debug:main universal variant already exists, so not adding the default one
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! gettext 0.19.8.1_0 >= gettext 0.19.8.1_0
:debug:main epoch: in tree: 0 installed: 0
:debug:main libiconv 1.15_0 exists in the ports tree
:debug:main libiconv 1.15_0  is the latest installed
:debug:main libiconv 1.15_0  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/textproc/libiconv
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Sourcing PortGroup muniversal 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/muniversal-1.0.tcl
:debug:main universal variant already exists, so not adding the default one
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! libiconv 1.15_0 >= libiconv 1.15_0
:debug:main epoch: in tree: 0 installed: 0
:debug:main ncurses 6.1_0 exists in the ports tree
:debug:main ncurses 6.1_0  is the latest installed
:debug:main ncurses 6.1_0  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/devel/ncurses
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main adding the default universal variant
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! ncurses 6.1_0 >= ncurses 6.1_0
:debug:main epoch: in tree: 0 installed: 0
:debug:main libunistring 0.9.10_0 exists in the ports tree
:debug:main libunistring 0.9.10_0  is the latest installed
:debug:main libunistring 0.9.10_0  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/textproc/libunistring
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main adding the default universal variant
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! libunistring 0.9.10_0 >= libunistring 0.9.10_0
:debug:main epoch: in tree: 0 installed: 0
:debug:main libpsl 0.20.2-20180522_0 exists in the ports tree
:debug:main libpsl 0.20.2-20180522_0  is the latest installed
:debug:main libpsl 0.20.2-20180522_0  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/net/libpsl
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main Sourcing PortGroup github 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/github-1.0.tcl
:debug:main Re-registering default for livecheck.regex
:debug:main adding the default universal variant
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! libpsl 0.20.2-20180522_0 >= libpsl 0.20.2-20180522_0
:debug:main epoch: in tree: 0 installed: 0
:debug:main glib2 2.58.1_0 exists in the ports tree
:debug:main glib2 2.58.1_0 +x11 is the latest installed
:debug:main glib2 2.58.1_0 +x11 is active
:debug:main Merging existing variants '+x11' into variants
:debug:main new fully merged portvariants: x11 +
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/devel/glib2
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main Sourcing PortGroup compiler_blacklist_versions 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/compiler_blacklist_versions-1.0.tcl
:debug:main compiler clang 1000.11.45.2 not blacklisted because it doesn't match {clang < 600}
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main adding the default universal variant
:debug:main Executing variant x11 provides x11
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! glib2 2.58.1_0 >= glib2 2.58.1_0
:debug:main epoch: in tree: 0 installed: 0
:debug:main libffi 3.2.1_0 exists in the ports tree
:debug:main libffi 3.2.1_0  is the latest installed
:debug:main libffi 3.2.1_0  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/devel/libffi
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Sourcing PortGroup muniversal 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/muniversal-1.0.tcl
:debug:main universal variant already exists, so not adding the default one
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! libffi 3.2.1_0 >= libffi 3.2.1_0
:debug:main epoch: in tree: 0 installed: 0
:debug:main pcre 8.42_0 exists in the ports tree
:debug:main pcre 8.42_0  is the latest installed
:debug:main pcre 8.42_0  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/devel/pcre
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main adding the default universal variant
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! pcre 8.42_0 >= pcre 8.42_0
:debug:main epoch: in tree: 0 installed: 0
:debug:main bzip2 1.0.6_0 exists in the ports tree
:debug:main bzip2 1.0.6_0  is the latest installed
:debug:main bzip2 1.0.6_0  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/archivers/bzip2
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main universal variant already exists, so not adding the default one
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! bzip2 1.0.6_0 >= bzip2 1.0.6_0
:debug:main epoch: in tree: 20090923 installed: 20090923
:debug:main libedit 20170329-3.1_2 exists in the ports tree
:debug:main libedit 20170329-3.1_2  is the latest installed
:debug:main libedit 20170329-3.1_2  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/devel/libedit
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Sourcing PortGroup muniversal 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/muniversal-1.0.tcl
:debug:main universal variant already exists, so not adding the default one
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! libedit 20170329-3.1_2 >= libedit 20170329-3.1_2
:debug:main epoch: in tree: 0 installed: 0
:debug:main zlib 1.2.11_0 exists in the ports tree
:debug:main zlib 1.2.11_0  is the latest installed
:debug:main zlib 1.2.11_0  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/archivers/zlib
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main Sourcing PortGroup xcodeversion 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/xcodeversion-1.0.tcl
:debug:main adding the default universal variant
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! zlib 1.2.11_0 >= zlib 1.2.11_0
:debug:main epoch: in tree: 1 installed: 1
:debug:main openssl 1.0.2p_0 exists in the ports tree
:debug:main openssl 1.0.2p_0  is the latest installed
:debug:main openssl 1.0.2p_0  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/devel/openssl
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Sourcing PortGroup muniversal 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/muniversal-1.0.tcl
:debug:main universal variant already exists, so not adding the default one
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! openssl 1.0.2p_0 >= openssl 1.0.2p_0
:debug:main epoch: in tree: 0 installed: 0
:debug:main curl-ca-bundle 7.61.1_2 exists in the ports tree
:debug:main curl-ca-bundle 7.61.1_2  is the latest installed
:debug:main curl-ca-bundle 7.61.1_2  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/net/curl
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main universal_variant is false, so not adding the default universal variant
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! curl-ca-bundle 7.61.1_2 >= curl-ca-bundle 7.61.1_2
:debug:main epoch: in tree: 0 installed: 0
:debug:main expat 2.2.6_1 exists in the ports tree
:debug:main expat 2.2.6_1  is the latest installed
:debug:main expat 2.2.6_1  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/textproc/expat
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main adding the default universal variant
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! expat 2.2.6_1 >= expat 2.2.6_1
:debug:main epoch: in tree: 0 installed: 0
:debug:main libarchive 3.3.3_0 exists in the ports tree
:debug:main libarchive 3.3.3_0  is the latest installed
:debug:main libarchive 3.3.3_0  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/archivers/libarchive
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main adding the default universal variant
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! libarchive 3.3.3_0 >= libarchive 3.3.3_0
:debug:main epoch: in tree: 0 installed: 0
:debug:main libxml2 2.9.7_0 exists in the ports tree
:debug:main libxml2 2.9.7_0  is the latest installed
:debug:main libxml2 2.9.7_0  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/textproc/libxml2
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main adding the default universal variant
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! libxml2 2.9.7_0 >= libxml2 2.9.7_0
:debug:main epoch: in tree: 0 installed: 0
:debug:main xz 5.2.4_0 exists in the ports tree
:debug:main xz 5.2.4_0  is the latest installed
:debug:main xz 5.2.4_0  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/archivers/xz
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main adding the default universal variant
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! xz 5.2.4_0 >= xz 5.2.4_0
:debug:main epoch: in tree: 0 installed: 0
:debug:main lzo2 2.10_0 exists in the ports tree
:debug:main lzo2 2.10_0  is the latest installed
:debug:main lzo2 2.10_0  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/archivers/lzo2
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Sourcing PortGroup muniversal 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/muniversal-1.0.tcl
:debug:main universal variant already exists, so not adding the default one
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! lzo2 2.10_0 >= lzo2 2.10_0
:debug:main epoch: in tree: 0 installed: 0
:debug:main lz4 1.8.3_0 exists in the ports tree
:debug:main lz4 1.8.3_0  is the latest installed
:debug:main lz4 1.8.3_0  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/archivers/lz4
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main Sourcing PortGroup github 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/github-1.0.tcl
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Sourcing PortGroup muniversal 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/muniversal-1.0.tcl
:debug:main Re-registering default for livecheck.regex
:debug:main universal variant already exists, so not adding the default one
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! lz4 1.8.3_0 >= lz4 1.8.3_0
:debug:main epoch: in tree: 0 installed: 0
:debug:main libuv 1.23.2_0 exists in the ports tree
:debug:main libuv 1.23.2_0  is the latest installed
:debug:main libuv 1.23.2_0  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/devel/libuv
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main Sourcing PortGroup github 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/github-1.0.tcl
:debug:main Sourcing PortGroup snowleopard_fixes 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/snowleopard_fixes-1.0.tcl
:debug:main Re-registering default for livecheck.regex
:debug:main adding the default universal variant
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! libuv 1.23.2_0 >= libuv 1.23.2_0
:debug:main epoch: in tree: 0 installed: 0
:debug:main boost 1.66.0_3 exists in the ports tree
:debug:main boost 1.66.0_3 +no_single+no_static+python27 is the latest installed
:debug:main boost 1.66.0_3 +no_single+no_static+python27 is active
:debug:main Merging existing variants '+no_single+no_static+python27' into variants
:debug:main new fully merged portvariants: no_static + no_single + python27 +
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/devel/boost
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main Sourcing PortGroup compiler_blacklist_versions 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/compiler_blacklist_versions-1.0.tcl
:debug:main Sourcing PortGroup active_variants 1.1 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/active_variants-1.1.tcl
:debug:main Sourcing PortGroup compilers 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/compilers-1.0.tcl
:debug:main Sourcing PortGroup mpi 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/mpi-1.0.tcl
:debug:main Sourcing PortGroup compiler_blacklist_versions 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/compiler_blacklist_versions-1.0.tcl
:debug:main compiler clang 1000.11.45.2 not blacklisted because it doesn't match {clang < 500}
:debug:main Sourcing PortGroup cxx11 1.1 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/cxx11-1.1.tcl
:debug:main Sourcing PortGroup active_variants 1.1 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/active_variants-1.1.tcl
:debug:main compiler clang 1000.11.45.2 not blacklisted because it doesn't match {clang < 421}
:debug:main Unmatched blacklisted compiler: *llvm-gcc-4.2
:debug:main Unmatched blacklisted compiler: *gcc-4.0
:debug:main Unmatched blacklisted compiler: gcc-3.3
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main universal variant already exists, so not adding the default one
:debug:main Executing variant python27 provides python27
:debug:main Executing variant no_static provides no_static
:debug:main Executing variant no_single provides no_single
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! boost 1.66.0_3 >= boost 1.66.0_3
:debug:main epoch: in tree: 0 installed: 0
:debug:main icu 58.2_2 exists in the ports tree
:debug:main icu 58.2_2  is the latest installed
:debug:main icu 58.2_2  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/devel/icu
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Sourcing PortGroup muniversal 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/muniversal-1.0.tcl
:debug:main universal variant already exists, so not adding the default one
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! icu 58.2_2 >= icu 58.2_2
:debug:main epoch: in tree: 2 installed: 2
:debug:main python27 2.7.15_1 exists in the ports tree
:debug:main python27 2.7.15_1  is the latest installed
:debug:main python27 2.7.15_1  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/lang/python27
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main Sourcing PortGroup select 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/select-1.0.tcl
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main universal variant already exists, so not adding the default one
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! python27 2.7.15_1 >= python27 2.7.15_1
:debug:main epoch: in tree: 0 installed: 0
:debug:main db48 4.8.30_4 exists in the ports tree
:debug:main db48 4.8.30_4  is the latest installed
:debug:main db48 4.8.30_4  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/databases/db48
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Sourcing PortGroup muniversal 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/muniversal-1.0.tcl
:debug:main universal variant already exists, so not adding the default one
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! db48 4.8.30_4 >= db48 4.8.30_4
:debug:main epoch: in tree: 0 installed: 0
:debug:main sqlite3 3.25.2_0 exists in the ports tree
:debug:main sqlite3 3.25.2_0  is the latest installed
:debug:main sqlite3 3.25.2_0  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/databases/sqlite3
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main adding the default universal variant
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! sqlite3 3.25.2_0 >= sqlite3 3.25.2_0
:debug:main epoch: in tree: 0 installed: 0
:debug:main python_select 0.3_7 exists in the ports tree
:debug:main python_select 0.3_7  is the latest installed
:debug:main python_select 0.3_7  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/sysutils/python_select
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main Sourcing PortGroup select 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/select-1.0.tcl
:debug:main universal_variant is false, so not adding the default universal variant
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! python_select 0.3_7 >= python_select 0.3_7
:debug:main epoch: in tree: 0 installed: 0
:debug:main python2_select 0.0_2 exists in the ports tree
:debug:main python2_select 0.0_2  is the latest installed
:debug:main python2_select 0.0_2  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/sysutils/python2_select
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main Sourcing PortGroup select 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/select-1.0.tcl
:debug:main universal_variant is false, so not adding the default universal variant
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! python2_select 0.0_2 >= python2_select 0.0_2
:debug:main epoch: in tree: 0 installed: 0
:debug:main gdal 2.3.2_0 exists in the ports tree
:debug:main gdal 2.3.2_0  is the latest installed
:debug:main gdal 2.3.2_0  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/gis/gdal
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main Sourcing PortGroup github 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/github-1.0.tcl
:debug:main Sourcing PortGroup compiler_blacklist_versions 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/compiler_blacklist_versions-1.0.tcl
:debug:main compiler clang 1000.11.45.2 not blacklisted because it doesn't match {clang < 500}
:debug:main Sourcing PortGroup cxx11 1.1 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/cxx11-1.1.tcl
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Sourcing PortGroup muniversal 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/muniversal-1.0.tcl
:debug:main Sourcing PortGroup active_variants 1.1 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/active_variants-1.1.tcl
:debug:main Sourcing PortGroup compilers 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/compilers-1.0.tcl
:debug:main Sourcing PortGroup mpi 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/mpi-1.0.tcl
:debug:main Sourcing PortGroup active_variants 1.1 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/active_variants-1.1.tcl
:debug:main Sourcing PortGroup compiler_blacklist_versions 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/compiler_blacklist_versions-1.0.tcl
:debug:main Unmatched blacklisted compiler: cc
:debug:main Re-registering default for livecheck.regex
:debug:main compiler clang 1000.11.45.2 not blacklisted because it doesn't match {clang < 800}
:debug:main universal variant already exists, so not adding the default one
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! gdal 2.3.2_0 >= gdal 2.3.2_0
:debug:main epoch: in tree: 0 installed: 0
:debug:main zstd 1.3.4_1 exists in the ports tree
:debug:main zstd 1.3.4_1  is the latest installed
:debug:main zstd 1.3.4_1  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/archivers/zstd
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main Sourcing PortGroup github 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/github-1.0.tcl
:debug:main Re-registering default for livecheck.regex
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main universal variant already exists, so not adding the default one
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! zstd 1.3.4_1 >= zstd 1.3.4_1
:debug:main epoch: in tree: 0 installed: 0
:debug:main libpng 1.6.35_0 exists in the ports tree
:debug:main libpng 1.6.35_0  is the latest installed
:debug:main libpng 1.6.35_0  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/graphics/libpng
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main adding the default universal variant
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! libpng 1.6.35_0 >= libpng 1.6.35_0
:debug:main epoch: in tree: 0 installed: 0
:debug:main giflib 4.2.3_0 exists in the ports tree
:debug:main giflib 4.2.3_0 +x11 is the latest installed
:debug:main giflib 4.2.3_0 +x11 is active
:debug:main Merging existing variants '+x11' into variants
:debug:main new fully merged portvariants: x11 +
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/graphics/giflib
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main adding the default universal variant
:debug:main Executing variant x11 provides x11
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! giflib 4.2.3_0 >= giflib 4.2.3_0
:debug:main epoch: in tree: 0 installed: 0
:debug:main xorg-libsm 1.2.2_0 exists in the ports tree
:debug:main xorg-libsm 1.2.2_0  is the latest installed
:debug:main xorg-libsm 1.2.2_0  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/x11/xorg-libsm
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main adding the default universal variant
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! xorg-libsm 1.2.2_0 >= xorg-libsm 1.2.2_0
:debug:main epoch: in tree: 0 installed: 0
:debug:main xorg-libice 1.0.9_1 exists in the ports tree
:debug:main xorg-libice 1.0.9_1  is the latest installed
:debug:main xorg-libice 1.0.9_1  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/x11/xorg-libice
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main adding the default universal variant
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! xorg-libice 1.0.9_1 >= xorg-libice 1.0.9_1
:debug:main epoch: in tree: 0 installed: 0
:debug:main xorg-xorgproto 2018.4_0 exists in the ports tree
:debug:main xorg-xorgproto 2018.4_0  is the latest installed
:debug:main xorg-xorgproto 2018.4_0  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/x11/xorg-xorgproto
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main only one arch supported, so not adding the default universal variant
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! xorg-xorgproto 2018.4_0 >= xorg-xorgproto 2018.4_0
:debug:main epoch: in tree: 0 installed: 0
:debug:main xorg-libX11 1.6.7_0 exists in the ports tree
:debug:main xorg-libX11 1.6.7_0  is the latest installed
:debug:main xorg-libX11 1.6.7_0  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/x11/xorg-libX11
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main adding the default universal variant
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! xorg-libX11 1.6.7_0 >= xorg-libX11 1.6.7_0
:debug:main epoch: in tree: 0 installed: 0
:debug:main xorg-libXdmcp 1.1.2_1 exists in the ports tree
:debug:main xorg-libXdmcp 1.1.2_1  is the latest installed
:debug:main xorg-libXdmcp 1.1.2_1  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/x11/xorg-libXdmcp
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main adding the default universal variant
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! xorg-libXdmcp 1.1.2_1 >= xorg-libXdmcp 1.1.2_1
:debug:main epoch: in tree: 0 installed: 0
:debug:main xorg-libXau 1.0.8_1 exists in the ports tree
:debug:main xorg-libXau 1.0.8_1  is the latest installed
:debug:main xorg-libXau 1.0.8_1  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/x11/xorg-libXau
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main adding the default universal variant
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! xorg-libXau 1.0.8_1 >= xorg-libXau 1.0.8_1
:debug:main epoch: in tree: 0 installed: 0
:debug:main xorg-libxcb 1.13.1_0 exists in the ports tree
:debug:main xorg-libxcb 1.13.1_0 +python27 is the latest installed
:debug:main xorg-libxcb 1.13.1_0 +python27 is active
:debug:main Merging existing variants '+python27' into variants
:debug:main new fully merged portvariants: python27 +
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/x11/xorg-libxcb
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main adding the default universal variant
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Executing variant python27 provides python27
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! xorg-libxcb 1.13.1_0 >= xorg-libxcb 1.13.1_0
:debug:main epoch: in tree: 0 installed: 0
:debug:main xorg-xcb-proto 1.13_0 exists in the ports tree
:debug:main xorg-xcb-proto 1.13_0 +python27 is the latest installed
:debug:main xorg-xcb-proto 1.13_0 +python27 is active
:debug:main Merging existing variants '+python27' into variants
:debug:main new fully merged portvariants: python27 +
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/x11/xorg-xcb-proto
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main only one arch supported, so not adding the default universal variant
:debug:main Executing variant python27 provides python27
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! xorg-xcb-proto 1.13_0 >= xorg-xcb-proto 1.13_0
:debug:main epoch: in tree: 0 installed: 0
:debug:main xorg-libpthread-stubs 0.4_0 exists in the ports tree
:debug:main xorg-libpthread-stubs 0.4_0  is the latest installed
:debug:main xorg-libpthread-stubs 0.4_0  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/x11/xorg-libpthread-stubs
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main only one arch supported, so not adding the default universal variant
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! xorg-libpthread-stubs 0.4_0 >= xorg-libpthread-stubs 0.4_0
:debug:main epoch: in tree: 0 installed: 0
:debug:main proj 5.2.0_0 exists in the ports tree
:debug:main proj 5.2.0_0  is the latest installed
:debug:main proj 5.2.0_0  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/gis/proj
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main adding the default universal variant
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! proj 5.2.0_0 >= proj 5.2.0_0
:debug:main epoch: in tree: 0 installed: 0
:debug:main qhull 2015.2_1 exists in the ports tree
:debug:main qhull 2015.2_1  is the latest installed
:debug:main qhull 2015.2_1  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/math/qhull
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main Re-registering default for configure.dir
:debug:main Re-registering default for configure.pre_args
:debug:main Re-registering default for build.dir
:debug:main Re-registering default for destroot.target
:debug:main Sourcing PortGroup cmake 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/cmake-1.0.tcl
:debug:main Sourcing PortGroup compiler_blacklist_versions 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/compiler_blacklist_versions-1.0.tcl
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main compiler clang 1000.11.45.2 not blacklisted because it doesn't match {clang < 137}
:debug:main adding the default universal variant
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! qhull 2015.2_1 >= qhull 2015.2_1
:debug:main epoch: in tree: 0 installed: 0
:debug:main spatialite 4.3.0_4 exists in the ports tree
:debug:main spatialite 4.3.0_4  is the latest installed
:debug:main spatialite 4.3.0_4  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/databases/spatialite
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main adding the default universal variant
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! spatialite 4.3.0_4 >= spatialite 4.3.0_4
:debug:main epoch: in tree: 0 installed: 0
:debug:main geos 3.7.0_0 exists in the ports tree
:debug:main geos 3.7.0_0  is the latest installed
:debug:main geos 3.7.0_0  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/science/geos
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main Sourcing PortGroup compiler_blacklist_versions 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/compiler_blacklist_versions-1.0.tcl
:debug:main compiler clang 1000.11.45.2 not blacklisted because it doesn't match {clang < 500}
:debug:main Sourcing PortGroup cxx11 1.1 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/cxx11-1.1.tcl
:debug:main adding the default universal variant
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! geos 3.7.0_0 >= geos 3.7.0_0
:debug:main epoch: in tree: 0 installed: 0
:debug:main charls 2.0.0_0 exists in the ports tree
:debug:main charls 2.0.0_0  is the latest installed
:debug:main charls 2.0.0_0  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/graphics/charls
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main Re-registering default for destroot.target
:debug:main Re-registering default for configure.dir
:debug:main Re-registering default for build.dir
:debug:main Re-registering default for configure.pre_args
:debug:main Sourcing PortGroup cmake 1.1 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/cmake-1.1.tcl
:debug:main Sourcing PortGroup compiler_blacklist_versions 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/compiler_blacklist_versions-1.0.tcl
:debug:main compiler clang 1000.11.45.2 not blacklisted because it doesn't match {clang < 500}
:debug:main Sourcing PortGroup cxx11 1.1 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/cxx11-1.1.tcl
:debug:main Sourcing PortGroup github 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/github-1.0.tcl
:debug:main Sourcing PortGroup compiler_blacklist_versions 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/compiler_blacklist_versions-1.0.tcl
:debug:main Re-registering default for livecheck.regex
:debug:main compiler clang 1000.11.45.2 not blacklisted because it doesn't match {clang < 602}
:debug:main adding the default universal variant
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! charls 2.0.0_0 >= charls 2.0.0_0
:debug:main epoch: in tree: 0 installed: 0
:debug:main libgeotiff 1.4.2_4 exists in the ports tree
:debug:main libgeotiff 1.4.2_4  is the latest installed
:debug:main libgeotiff 1.4.2_4  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/graphics/libgeotiff
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main adding the default universal variant
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! libgeotiff 1.4.2_4 >= libgeotiff 1.4.2_4
:debug:main epoch: in tree: 0 installed: 0
:debug:main tiff 4.0.9_0 exists in the ports tree
:debug:main tiff 4.0.9_0  is the latest installed
:debug:main tiff 4.0.9_0  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/graphics/tiff
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main Sourcing PortGroup xcodeversion 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/xcodeversion-1.0.tcl
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Sourcing PortGroup muniversal 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/muniversal-1.0.tcl
:debug:main universal variant already exists, so not adding the default one
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! tiff 4.0.9_0 >= tiff 4.0.9_0
:debug:main epoch: in tree: 0 installed: 0
:debug:main jpeg 9c_0 exists in the ports tree
:debug:main jpeg 9c_0  is the latest installed
:debug:main jpeg 9c_0  is active
:debug:main Merging existing variants '' into variants
:debug:main new fully merged portvariants: 
:debug:main Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/graphics/jpeg
:debug:main OS darwin/18.0.0 (Mac OS X 10.14) arch i386
:debug:main adding the default universal variant
:debug:main Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/variant_descriptions.conf
:debug:main Running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Finished running callback portconfigure::add_automatic_compiler_dependencies
:debug:main Running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Finished running callback portbuild::add_automatic_buildsystem_dependencies
:debug:main Running callback portstartupitem::add_notes
:debug:main Finished running callback portstartupitem::add_notes
:debug:main No need to upgrade! jpeg 9c_0 >= jpeg 9c_0
:msg:main --->  Computing dependencies for liblas:info:main .:debug:main liblas has no conflicts
:debug:main Searching for dependency: lbzip2
:debug:main Found Dependency: receipt exists for lbzip2
:debug:main Searching for dependency: cmake
:debug:main Found Dependency: receipt exists for cmake
:debug:main Searching for dependency: boost
:debug:main Found Dependency: receipt exists for boost
:debug:main Searching for dependency: gdal
:debug:main Found Dependency: receipt exists for gdal
:debug:main Searching for dependency: libgeotiff
:debug:main Found Dependency: receipt exists for libgeotiff
:debug:main Executing org.macports.main (liblas)
:debug:main dropping privileges: euid changed to 502, egid changed to 20.
:debug:archivefetch archivefetch phase started at Tue Oct 16 15:14:35 CEST 2018
:msg:archivefetch --->  Fetching archive for liblas
:warn:archivefetch Your DNS servers incorrectly claim to know the address of nonexistent hosts. This may cause checksum mismatches for some ports. See this page for more information: <https://trac.macports.org/wiki/MisbehavingServers>
:debug:archivefetch Executing org.macports.archivefetch (liblas)
:debug:archivefetch euid/egid changed to: 0/0
:debug:archivefetch chowned /opt/local/var/macports/incoming to macports
:debug:archivefetch euid/egid changed to: 502/20
:info:archivefetch --->  liblas-1.8.1_4.darwin_18.x86_64.tbz2 doesn't seem to exist in /opt/local/var/macports/incoming/verified
:msg:archivefetch --->  Attempting to fetch liblas-1.8.1_4.darwin_18.x86_64.tbz2 from http://nue.de.packages.macports.org/liblas
:debug:archivefetch Fetching archive failed: The requested URL returned error: 404 Not Found
:msg:archivefetch --->  Attempting to fetch liblas-1.8.1_4.darwin_18.x86_64.tbz2 from https://packages.macports.org/liblas
:debug:archivefetch Fetching archive failed: The requested URL returned error: 404 Not Found
:msg:archivefetch --->  Attempting to fetch liblas-1.8.1_4.darwin_18.x86_64.tbz2 from http://mse.uk.packages.macports.org/sites/packages.macports.org/liblas
:debug:archivefetch Fetching archive failed: The requested URL returned error: 404 Not Found
:debug:archivefetch Privilege de-escalation not attempted as not running as root.
:debug:fetch fetch phase started at Tue Oct 16 15:14:36 CEST 2018
:notice:fetch --->  Fetching distfiles for liblas
:debug:fetch elevating privileges for fetch: euid changed to 0, egid changed to 0.
:debug:fetch dropping privileges: euid changed to 502, egid changed to 20.
:debug:fetch Executing org.macports.fetch (liblas)
:info:fetch --->  libLAS-1.8.1.tar.bz2 does not exist in /opt/local/var/macports/distfiles/liblas
:notice:fetch --->  Attempting to fetch libLAS-1.8.1.tar.bz2 from https://distfiles.macports.org/liblas
:debug:fetch Privilege de-escalation not attempted as not running as root.
:debug:checksum checksum phase started at Tue Oct 16 15:14:39 CEST 2018
:notice:checksum --->  Verifying checksums for liblas
:debug:checksum Executing org.macports.checksum (liblas)
:info:checksum --->  Checksumming libLAS-1.8.1.tar.bz2
:debug:checksum Calculated (rmd160) is b397a8a1a108ea694f6fccbe8463636cff9a04d9
:debug:checksum Correct (rmd160) checksum for libLAS-1.8.1.tar.bz2
:debug:checksum Calculated (sha256) is 9adb4a98c63b461ed2bc82e214ae522cbd809cff578f28511122efe6c7ea4e76
:debug:checksum Correct (sha256) checksum for libLAS-1.8.1.tar.bz2
:debug:checksum Privilege de-escalation not attempted as not running as root.
:debug:extract extract phase started at Tue Oct 16 15:14:39 CEST 2018
:notice:extract --->  Extracting liblas
:debug:extract setting option extract.cmd to /opt/local/bin/lbzip2
:debug:extract Executing org.macports.extract (liblas)
:info:extract --->  Extracting libLAS-1.8.1.tar.bz2
:debug:extract setting option extract.args to '/opt/local/var/macports/distfiles/liblas/libLAS-1.8.1.tar.bz2'
:debug:extract Environment: 
:debug:extract CC_PRINT_OPTIONS='YES'
:debug:extract CC_PRINT_OPTIONS_FILE='/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/.CC_PRINT_OPTIONS'
:debug:extract CPATH='/opt/local/include'
:debug:extract LIBRARY_PATH='/opt/local/lib'
:debug:extract MACOSX_DEPLOYMENT_TARGET='10.14'
:info:extract Executing:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work" && /opt/local/bin/lbzip2 -dc '/opt/local/var/macports/distfiles/liblas/libLAS-1.8.1.tar.bz2' | /usr/bin/tar -xf - 
:debug:extract system:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work" && /opt/local/bin/lbzip2 -dc '/opt/local/var/macports/distfiles/liblas/libLAS-1.8.1.tar.bz2' | /usr/bin/tar -xf - 
:debug:extract euid/egid changed to: 0/0
:debug:extract chowned /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work to macports
:debug:extract euid/egid changed to: 502/20
:debug:extract Privilege de-escalation not attempted as not running as root.
:debug:patch patch phase started at Tue Oct 16 15:14:39 CEST 2018
:debug:patch Executing org.macports.patch (liblas)
:notice:patch --->  Applying patches to liblas
:info:patch --->  Applying patch-gt_citation_cpp.diff
:debug:patch Environment: 
:debug:patch CC_PRINT_OPTIONS='YES'
:debug:patch CC_PRINT_OPTIONS_FILE='/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/.CC_PRINT_OPTIONS'
:debug:patch CPATH='/opt/local/include'
:debug:patch LIBRARY_PATH='/opt/local/lib'
:debug:patch MACOSX_DEPLOYMENT_TARGET='10.14'
:info:patch Executing:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1" && /usr/bin/patch -p0 < '/opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/gis/liblas/files/patch-gt_citation_cpp.diff'
:debug:patch system:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1" && /usr/bin/patch -p0 < '/opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/gis/liblas/files/patch-gt_citation_cpp.diff'
:info:patch patching file src/gt_citation.cpp
:debug:patch Privilege de-escalation not attempted as not running as root.
:debug:configure configure phase started at Tue Oct 16 15:14:39 CEST 2018
:notice:configure --->  Configuring liblas
:debug:configure Preferred compilers: clang macports-clang-5.0 macports-clang-4.0
:debug:configure Using compiler 'Xcode Clang'
:debug:configure Executing proc-pre-org.macports.configure-configure-0
:debug:configure Executing proc-pre-org.macports.configure-configure-1
:debug:configure Executing proc-pre-org.macports.configure-configure-2
:debug:configure Executing org.macports.configure (liblas)
:debug:configure Environment: 
:debug:configure CC='/usr/bin/clang'
:debug:configure CC_PRINT_OPTIONS='YES'
:debug:configure CC_PRINT_OPTIONS_FILE='/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/.CC_PRINT_OPTIONS'
:debug:configure CFLAGS='-pipe -Os -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk'
:debug:configure CPATH='/opt/local/include'
:debug:configure CPPFLAGS='-I/opt/local/include -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk'
:debug:configure CXX='/usr/bin/clang++'
:debug:configure CXXFLAGS='-pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk'
:debug:configure F77FLAGS='-m64'
:debug:configure F90FLAGS='-pipe -Os -m64'
:debug:configure FCFLAGS='-pipe -Os -m64'
:debug:configure FFLAGS='-pipe -Os'
:debug:configure INSTALL='/usr/bin/install -c'
:debug:configure LDFLAGS='-L/opt/local/lib -Wl,-headerpad_max_install_names -Wl,-syslibroot,/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk'
:debug:configure LIBRARY_PATH='/opt/local/lib'
:debug:configure MACOSX_DEPLOYMENT_TARGET='10.14'
:debug:configure OBJC='/usr/bin/clang'
:debug:configure OBJCFLAGS='-pipe -Os -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk'
:debug:configure OBJCXX='/usr/bin/clang++'
:debug:configure OBJCXXFLAGS='-pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk'
:info:configure Executing:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1" && /opt/local/bin/cmake -DCMAKE_INSTALL_PREFIX='/opt/local' -DCMAKE_BUILD_TYPE=Release -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON -DCMAKE_C_COMPILER="$CC" -DCMAKE_COLOR_MAKEFILE=ON -DCMAKE_CXX_COMPILER="$CXX" -DCMAKE_FIND_FRAMEWORK=LAST -DCMAKE_INSTALL_NAME_DIR=/opt/local/lib -DCMAKE_INSTALL_RPATH=/opt/local/lib -DCMAKE_MODULE_PATH=/opt/local/share/cmake/Modules -DCMAKE_SYSTEM_PREFIX_PATH="/opt/local;/opt/local;/usr" -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_POLICY_DEFAULT_CMP0025=NEW -Wno-dev -DWITH_GEOTIFF=ON -DWITH_GDAL=ON -DCMAKE_C_FLAGS_RELEASE="-DNDEBUG" -DCMAKE_CXX_FLAGS_RELEASE="-DNDEBUG" -DCMAKE_OSX_ARCHITECTURES="x86_64" -DCMAKE_OSX_DEPLOYMENT_TARGET="10.14" -DCMAKE_OSX_SYSROOT="/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk" /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1 
:debug:configure system:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1" && /opt/local/bin/cmake -DCMAKE_INSTALL_PREFIX='/opt/local' -DCMAKE_BUILD_TYPE=Release -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON -DCMAKE_C_COMPILER="$CC" -DCMAKE_COLOR_MAKEFILE=ON -DCMAKE_CXX_COMPILER="$CXX" -DCMAKE_FIND_FRAMEWORK=LAST -DCMAKE_INSTALL_NAME_DIR=/opt/local/lib -DCMAKE_INSTALL_RPATH=/opt/local/lib -DCMAKE_MODULE_PATH=/opt/local/share/cmake/Modules -DCMAKE_SYSTEM_PREFIX_PATH="/opt/local;/opt/local;/usr" -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_POLICY_DEFAULT_CMP0025=NEW -Wno-dev -DWITH_GEOTIFF=ON -DWITH_GDAL=ON -DCMAKE_C_FLAGS_RELEASE="-DNDEBUG" -DCMAKE_CXX_FLAGS_RELEASE="-DNDEBUG" -DCMAKE_OSX_ARCHITECTURES="x86_64" -DCMAKE_OSX_DEPLOYMENT_TARGET="10.14" -DCMAKE_OSX_SYSROOT="/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk" /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1 
:info:configure -- The C compiler identification is AppleClang 10.0.0.10001145
:info:configure -- The CXX compiler identification is AppleClang 10.0.0.10001145
:info:configure -- Check for working C compiler: /usr/bin/clang
:info:configure -- Check for working C compiler: /usr/bin/clang -- works
:info:configure -- Detecting C compiler ABI info
:info:configure -- Detecting C compiler ABI info - done
:info:configure -- Detecting C compile features
:info:configure -- Detecting C compile features - done
:info:configure -- Check for working CXX compiler: /usr/bin/clang++
:info:configure -- Check for working CXX compiler: /usr/bin/clang++ -- works
:info:configure -- Detecting CXX compiler ABI info
:info:configure -- Detecting CXX compiler ABI info - done
:info:configure -- Detecting CXX compile features
:info:configure -- Detecting CXX compile features - done
:info:configure -- Setting libLAS build type - Release
:info:configure -- Searching for Boost 1.38+ - done
:info:configure -- Looking for pthread.h
:info:configure -- Looking for pthread.h - found
:info:configure -- Looking for pthread_create
:info:configure -- Looking for pthread_create - found
:info:configure -- Found Threads: TRUE  
:info:configure -- Boost version: 1.66.0
:info:configure -- Found the following Boost libraries:
:info:configure --   program_options
:info:configure --   thread
:info:configure --   system
:info:configure --   iostreams
:info:configure --   filesystem
:info:configure --   chrono
:info:configure --   date_time
:info:configure --   atomic
:info:configure --   regex
:info:configure -- Found GDAL: /usr/local/lib/libgdal.dylib (Required is at least version "1.7.0") 
:info:configure -- Found PROJ4: /usr/local/lib/libproj.dylib  
:info:configure -- Searching for GeoTIFF 1.3.0+ library
:info:configure -- Found GeoTIFF version: 1.4.2
:info:configure -- Found GeoTIFF: /opt/local/lib/libgeotiff.dylib (Required is at least version "1.3.0") 
:info:configure -- Found TIFF: /opt/local/lib/libtiff.dylib (found version "4.0.9") 
:info:configure -- Found JPEG: /opt/local/lib/libjpeg.dylib (found version "90") 
:info:configure -- Found ZLIB: /opt/local/lib/libz.dylib (found version "1.2.11") 
:info:configure -- Enable libLAS utilities to build - done
:info:configure -- Enable libLAS unit tests to build - done
:info:configure -- Configuring done
:info:configure -- Generating done
:info:configure -- Build files have been written to: /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1
:debug:configure Executing proc-post-org.macports.configure-configure-0
:debug:configure Privilege de-escalation not attempted as not running as root.
:debug:build build phase started at Tue Oct 16 15:14:43 CEST 2018
:notice:build --->  Building liblas
:debug:build Executing org.macports.build (liblas)
:debug:build Environment: 
:debug:build CC_PRINT_OPTIONS='YES'
:debug:build CC_PRINT_OPTIONS_FILE='/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/.CC_PRINT_OPTIONS'
:debug:build CPATH='/opt/local/include'
:debug:build LIBRARY_PATH='/opt/local/lib'
:debug:build MACOSX_DEPLOYMENT_TARGET='10.14'
:info:build Executing:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1" && /usr/bin/make -j8 -w all VERBOSE=ON 
:debug:build system:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1" && /usr/bin/make -j8 -w all VERBOSE=ON 
:info:build make: Entering directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1'
:info:build /opt/local/bin/cmake -H/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1 -B/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1 --check-build-system CMakeFiles/Makefile.cmake 0
:info:build /opt/local/bin/cmake -E cmake_progress_start /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/CMakeFiles /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/CMakeFiles/progress.marks
:info:build /Applications/Xcode.app/Contents/Developer/usr/bin/make -f CMakeFiles/Makefile2 all
:info:build make[1]: Entering directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1'
:info:build /Applications/Xcode.app/Contents/Developer/usr/bin/make -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/depend
:info:build make[2]: Entering directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1'
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1 && /opt/local/bin/cmake -E cmake_depends "Unix Makefiles" /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1 /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1 /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/CMakeFiles/las.dir/DependInfo.cmake --color=
:info:build Dependee "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/CMakeFiles/las.dir/DependInfo.cmake" is newer than depender "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/CMakeFiles/las.dir/depend.internal".
:info:build Dependee "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/CMakeFiles/CMakeDirectoryInformation.cmake" is newer than depender "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/CMakeFiles/las.dir/depend.internal".
:info:build Scanning dependencies of target las
:info:build make[2]: Leaving directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1'
:info:build /Applications/Xcode.app/Contents/Developer/usr/bin/make -f src/CMakeFiles/las.dir/build.make src/CMakeFiles/las.dir/build
:info:build make[2]: Entering directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1'
:info:build [  1%] Building CXX object src/CMakeFiles/las.dir/detail/index/indexcell.cpp.o
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/detail/index/indexcell.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/detail/index/indexcell.cpp
:info:build [  2%] Building CXX object src/CMakeFiles/las.dir/detail/index/indexoutput.cpp.o
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/detail/index/indexoutput.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/detail/index/indexoutput.cpp
:info:build [  3%] Building CXX object src/CMakeFiles/las.dir/chipper.cpp.o
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/chipper.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/chipper.cpp
:info:build [  7%] Building CXX object src/CMakeFiles/las.dir/factory.cpp.o
:info:build [  7%] Building CXX object src/CMakeFiles/las.dir/dimension.cpp.o
:info:build [  9%] Building CXX object src/CMakeFiles/las.dir/color.cpp.o
:info:build [  9%] Building CXX object src/CMakeFiles/las.dir/error.cpp.o
:info:build [  9%] Building CXX object src/CMakeFiles/las.dir/classification.cpp.o
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/error.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/error.cpp
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/dimension.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/dimension.cpp
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/color.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/color.cpp
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/classification.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/classification.cpp
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/factory.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/factory.cpp
:info:build [ 10%] Building CXX object src/CMakeFiles/las.dir/filter.cpp.o
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/filter.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/filter.cpp
:info:build [ 11%] Building CXX object src/CMakeFiles/las.dir/header.cpp.o
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/header.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/header.cpp
:info:build [ 13%] Building CXX object src/CMakeFiles/las.dir/index.cpp.o
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/index.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/index.cpp
:info:build [ 14%] Building CXX object src/CMakeFiles/las.dir/point.cpp.o
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/point.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/point.cpp
:info:build In file included from /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/dimension.cpp:50:
:info:build In file included from /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include/liblas/external/property_tree/xml_parser.hpp:15:
:info:build /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include/liblas/external/property_tree/detail/xml_parser_write.hpp:38:48: warning: unused typedef 'Str' [-Wunused-local-typedef]
:info:build         typedef typename std::basic_string<Ch> Str;
:info:build                                                ^
:info:build /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include/liblas/external/property_tree/detail/xml_parser_write.hpp:72:48: warning: unused typedef 'Str' [-Wunused-local-typedef]
:info:build         typedef typename std::basic_string<Ch> Str;
:info:build                                                ^
:info:build [ 15%] Building CXX object src/CMakeFiles/las.dir/reader.cpp.o
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/reader.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/reader.cpp
:info:build [ 16%] Building CXX object src/CMakeFiles/las.dir/spatialreference.cpp.o
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/spatialreference.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/spatialreference.cpp
:info:build 2 warnings generated.
:info:build [ 17%] Building CXX object src/CMakeFiles/las.dir/schema.cpp.o
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/schema.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/schema.cpp
:info:build [ 19%] Building CXX object src/CMakeFiles/las.dir/transform.cpp.o
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/transform.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/transform.cpp
:info:build [ 20%] Building CXX object src/CMakeFiles/las.dir/utility.cpp.o
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/utility.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/utility.cpp
:info:build [ 21%] Building CXX object src/CMakeFiles/las.dir/variablerecord.cpp.o
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/variablerecord.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/variablerecord.cpp
:info:build /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/spatialreference.cpp:609:20: warning: 'importFromWkt' is deprecated: Use importFromWkt(const char**) or importFromWkt(const char*) [-Wdeprecated-declarations]
:info:build             poSRS->importFromWkt( &pszOrigWKT );
:info:build                    ^
:info:build /opt/local/include/ogr_spatialref.h:209:9: note: 'importFromWkt' has been explicitly marked deprecated here
:info:build         CPL_WARN_DEPRECATED("Use importFromWkt(const char**) or importFromWkt(const char*)")
:info:build         ^
:info:build /opt/local/include/cpl_port.h:997:74: note: expanded from macro 'CPL_WARN_DEPRECATED'
:info:build     #define CPL_WARN_DEPRECATED(x)                       __attribute__ ((deprecated(x)))
:info:build                                                                          ^
:info:build /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/spatialreference.cpp:630:20: warning: 'importFromWkt' is deprecated: Use importFromWkt(const char**) or importFromWkt(const char*) [-Wdeprecated-declarations]
:info:build             poSRS->importFromWkt( &pszOrigWKT );
:info:build                    ^
:info:build /opt/local/include/ogr_spatialref.h:209:9: note: 'importFromWkt' has been explicitly marked deprecated here
:info:build         CPL_WARN_DEPRECATED("Use importFromWkt(const char**) or importFromWkt(const char*)")
:info:build         ^
:info:build /opt/local/include/cpl_port.h:997:74: note: expanded from macro 'CPL_WARN_DEPRECATED'
:info:build     #define CPL_WARN_DEPRECATED(x)                       __attribute__ ((deprecated(x)))
:info:build                                                                          ^
:info:build /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/spatialreference.cpp:766:28: warning: 'importFromWkt' is deprecated: Use importFromWkt(const char**) or importFromWkt(const char*) [-Wdeprecated-declarations]
:info:build     if (OGRERR_NONE != srs.importFromWkt(const_cast<char **> (&poWKT)))
:info:build                            ^
:info:build /opt/local/include/ogr_spatialref.h:209:9: note: 'importFromWkt' has been explicitly marked deprecated here
:info:build         CPL_WARN_DEPRECATED("Use importFromWkt(const char**) or importFromWkt(const char*)")
:info:build         ^
:info:build /opt/local/include/cpl_port.h:997:74: note: expanded from macro 'CPL_WARN_DEPRECATED'
:info:build     #define CPL_WARN_DEPRECATED(x)                       __attribute__ ((deprecated(x)))
:info:build                                                                          ^
:info:build [ 22%] Building CXX object src/CMakeFiles/las.dir/writer.cpp.o
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/writer.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/writer.cpp
:info:build In file included from /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/spatialreference.cpp:72:
:info:build In file included from /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include/liblas/external/property_tree/xml_parser.hpp:15:
:info:build /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include/liblas/external/property_tree/detail/xml_parser_write.hpp:38:48: warning: unused typedef 'Str' [-Wunused-local-typedef]
:info:build         typedef typename std::basic_string<Ch> Str;
:info:build                                                ^
:info:build /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include/liblas/external/property_tree/detail/xml_parser_write.hpp:72:48: warning: unused typedef 'Str' [-Wunused-local-typedef]
:info:build         typedef typename std::basic_string<Ch> Str;
:info:build                                                ^
:info:build [ 23%] Building CXX object src/CMakeFiles/las.dir/version.cpp.o
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/version.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/version.cpp
:info:build In file included from /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/schema.cpp:50:
:info:build In file included from /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include/liblas/external/property_tree/xml_parser.hpp:15:
:info:build /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include/liblas/external/property_tree/detail/xml_parser_write.hpp:38:48: warning: unused typedef 'Str' [-Wunused-local-typedef]
:info:build         typedef typename std::basic_string<Ch> Str;
:info:build                                                ^
:info:build /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include/liblas/external/property_tree/detail/xml_parser_write.hpp:72:48: warning: unused typedef 'Str' [-Wunused-local-typedef]
:info:build         typedef typename std::basic_string<Ch> Str;
:info:build                                                ^
:info:build [ 25%] Building CXX object src/CMakeFiles/las.dir/detail/utility.cpp.o
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/detail/utility.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/detail/utility.cpp
:info:build [ 26%] Building CXX object src/CMakeFiles/las.dir/detail/sha1.cpp.o
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/detail/sha1.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/detail/sha1.cpp
:info:build [ 27%] Building CXX object src/CMakeFiles/las.dir/detail/zippoint.cpp.o
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/detail/zippoint.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/detail/zippoint.cpp
:info:build [ 28%] Building CXX object src/CMakeFiles/las.dir/detail/reader/header.cpp.o
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/detail/reader/header.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/detail/reader/header.cpp
:info:build 5 warnings generated.
:info:build [ 29%] Building CXX object src/CMakeFiles/las.dir/detail/reader/reader.cpp.o
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/detail/reader/reader.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/detail/reader/reader.cpp
:info:build [ 30%] Building CXX object src/CMakeFiles/las.dir/detail/reader/zipreader.cpp.o
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/detail/reader/zipreader.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/detail/reader/zipreader.cpp
:info:build [ 32%] Building CXX object src/CMakeFiles/las.dir/detail/reader/cachedreader.cpp.o
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/detail/reader/cachedreader.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/detail/reader/cachedreader.cpp
:info:build [ 33%] Building CXX object src/CMakeFiles/las.dir/detail/writer/header.cpp.o
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/detail/writer/header.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/detail/writer/header.cpp
:info:build [ 34%] Building CXX object src/CMakeFiles/las.dir/detail/writer/point.cpp.o
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/detail/writer/point.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/detail/writer/point.cpp
:info:build [ 35%] Building CXX object src/CMakeFiles/las.dir/detail/writer/zipwriter.cpp.o
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/detail/writer/zipwriter.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/detail/writer/zipwriter.cpp
:info:build [ 36%] Building CXX object src/CMakeFiles/las.dir/detail/writer/writer.cpp.o
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/detail/writer/writer.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/detail/writer/writer.cpp
:info:build [ 38%] Building CXX object src/CMakeFiles/las.dir/gt_citation.cpp.o
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/gt_citation.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/gt_citation.cpp
:info:build /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/gt_citation.cpp:390:37: error: call to member function 'GetPrimeMeridian' is ambiguous
:info:build         double primemValue = poSRS->GetPrimeMeridian(NULL);
:info:build                              ~~~~~~~^~~~~~~~~~~~~~~~
:info:build /opt/local/include/ogr_spatialref.h:309:17: note: candidate function
:info:build     double      GetPrimeMeridian( char ** ) const CPL_WARN_DEPRECATED("Use GetPrimeMeridian(const char**) instead");
:info:build                 ^
:info:build /opt/local/include/ogr_spatialref.h:310:17: note: candidate function
:info:build     double      GetPrimeMeridian( const char ** = nullptr ) const;
:info:build                 ^
:info:build /opt/local/include/ogr_spatialref.h:312:17: note: candidate function
:info:build     double      GetPrimeMeridian( std::nullptr_t ) const
:info:build                 ^
:info:build /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/gt_citation.cpp:393:35: error: call to member function 'GetAngularUnits' is ambiguous
:info:build             double aUnit = poSRS->GetAngularUnits(NULL);
:info:build                            ~~~~~~~^~~~~~~~~~~~~~~
:info:build /opt/local/include/ogr_spatialref.h:302:17: note: candidate function
:info:build     double      GetAngularUnits( char ** ) const CPL_WARN_DEPRECATED("Use GetAngularUnits(const char**) instead");
:info:build                 ^
:info:build /opt/local/include/ogr_spatialref.h:303:17: note: candidate function
:info:build     double      GetAngularUnits( const char ** = nullptr ) const;
:info:build                 ^
:info:build /opt/local/include/ogr_spatialref.h:305:17: note: candidate function
:info:build     double      GetAngularUnits( std::nullptr_t ) const
:info:build                 ^
:info:build 2 warnings generated.
:info:build 2 errors generated.
:info:build make[2]: *** [src/CMakeFiles/las.dir/gt_citation.cpp.o] Error 1
:info:build make[2]: *** Waiting for unfinished jobs....
:info:build [ 39%] Building CXX object src/CMakeFiles/las.dir/gt_wkt_srs.cpp.o
:info:build cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src && /usr/bin/clang++  -DHAVE_GDAL=1 -DHAVE_LIBGEOTIFF=1 -Dlas_EXPORTS -I/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/../include -I/opt/local/include -I/usr/local/include  -pipe -Os -std=c++11 -stdlib=libc++ -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk  -Wextra -Wall -Wno-unused-parameter -Wno-unused-variable -Wpointer-arith -Wcast-align -Wcast-qual -Wfloat-equal -Wredundant-decls -Wno-long-long -DNDEBUG -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk -mmacosx-version-min=10.14 -fPIC   -o CMakeFiles/las.dir/gt_wkt_srs.cpp.o -c /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/gt_wkt_srs.cpp
:info:build /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/gt_wkt_srs.cpp:432:47: warning: comparing floating point with == or != is unsafe [-Wfloat-equal]
:info:build                 if( psDefn->UOMLengthInMeters != 0 
:info:build                     ~~~~~~~~~~~~~~~~~~~~~~~~~ ^  ~
:info:build /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/gt_wkt_srs.cpp:1187:40: warning: cast from 'const char *' to 'char *' drops const qualifier [-Wcast-qual]
:info:build     if( poSRS->importFromWkt((char **) &pszOGCWKT) != OGRERR_NONE )
:info:build                                        ^
:info:build /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/gt_wkt_srs.cpp:1187:16: warning: 'importFromWkt' is deprecated: Use importFromWkt(const char**) or importFromWkt(const char*) [-Wdeprecated-declarations]
:info:build     if( poSRS->importFromWkt((char **) &pszOGCWKT) != OGRERR_NONE )
:info:build                ^
:info:build /opt/local/include/ogr_spatialref.h:209:9: note: 'importFromWkt' has been explicitly marked deprecated here
:info:build         CPL_WARN_DEPRECATED("Use importFromWkt(const char**) or importFromWkt(const char*)")
:info:build         ^
:info:build /opt/local/include/cpl_port.h:997:74: note: expanded from macro 'CPL_WARN_DEPRECATED'
:info:build     #define CPL_WARN_DEPRECATED(x)                       __attribute__ ((deprecated(x)))
:info:build                                                                          ^
:info:build /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/gt_wkt_srs.cpp:1254:33: warning: 'GetLinearUnits' is deprecated: Use GetLinearUnits(const char**) instead [-Wdeprecated-declarations]
:info:build     double      dfLinearUOM = poSRS->GetLinearUnits( &pszLinearUOMName );
:info:build                                      ^
:info:build /opt/local/include/ogr_spatialref.h:284:49: note: 'GetLinearUnits' has been explicitly marked deprecated here
:info:build     double      GetLinearUnits( char ** ) const CPL_WARN_DEPRECATED("Use GetLinearUnits(const char**) instead");
:info:build                                                 ^
:info:build /opt/local/include/cpl_port.h:997:74: note: expanded from macro 'CPL_WARN_DEPRECATED'
:info:build     #define CPL_WARN_DEPRECATED(x)                       __attribute__ ((deprecated(x)))
:info:build                                                                          ^
:info:build /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1/src/gt_wkt_srs.cpp:2156:34: warning: 'GetAngularUnits' is deprecated: Use GetAngularUnits(const char**) instead [-Wdeprecated-declarations]
:info:build     double angUnitValue = poSRS->GetAngularUnits(&angUnitName);
:info:build                                  ^
:info:build /opt/local/include/ogr_spatialref.h:302:50: note: 'GetAngularUnits' has been explicitly marked deprecated here
:info:build     double      GetAngularUnits( char ** ) const CPL_WARN_DEPRECATED("Use GetAngularUnits(const char**) instead");
:info:build                                                  ^
:info:build /opt/local/include/cpl_port.h:997:74: note: expanded from macro 'CPL_WARN_DEPRECATED'
:info:build     #define CPL_WARN_DEPRECATED(x)                       __attribute__ ((deprecated(x)))
:info:build                                                                          ^
:info:build 5 warnings generated.
:info:build make[2]: Leaving directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1'
:info:build make[1]: *** [src/CMakeFiles/las.dir/all] Error 2
:info:build make[1]: Leaving directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1'
:info:build make: *** [all] Error 2
:info:build make: Leaving directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1'
:info:build Command failed:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/work/libLAS-1.8.1" && /usr/bin/make -j8 -w all VERBOSE=ON 
:info:build Exit code: 2
:error:build Failed to build liblas: command execution failed
:debug:build Error code: CHILDSTATUS 16326 2
:debug:build Backtrace: command execution failed
:debug:build     while executing
:debug:build "system {*}$notty {*}$nice $fullcmdstring"
:debug:build     invoked from within
:debug:build "command_exec build"
:debug:build     (procedure "portbuild::build_main" line 8)
:debug:build     invoked from within
:debug:build "$procedure $targetname"
:error:build See /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_liblas/liblas/main.log for details.

Last edited 8 weeks ago by sgrewe (Stefan Grewe) (previous) (diff)

comment:11 Changed 8 weeks ago by sgrewe (Stefan Grewe)

Resolution: fixed
Status: closedreopened

comment:12 Changed 8 weeks ago by Veence (Vincent)

This should have been taken care of by the patch. What does

find /opt/local/var/macports/sources/rsync.macports.org/macports/release/tarballs/ -name patch-gt_citation_cpp.diff -exec less {} \;

report?

comment:13 Changed 5 weeks ago by sgrewe (Stefan Grewe)

It is compiling now also for me

comment:14 Changed 10 days ago by kurthindenburg (Kurt Hindenburg)

Owner: venabled@… deleted
Status: reopenedassigned
Note: See TracTickets for help on using tickets.